# Create Table

Creates a new table in a base. Optionally, you can already add some columns to the base.

> 📘 The first column is special
>
> Please be aware, that the first column can only be the column type `text`, `number`, `date`, `single select`, `formula` and `autonumber`.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Base Operations",
    "description": "The official SeaTable API Reference (OpenAPI 3.0).",
    "version": "6.2"
  },
  "servers": [
    {
      "url": "https://{server}",
      "variables": {
        "server": {
          "default": "cloud.seatable.io"
        }
      }
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "metrics-enabled": false,
    "proxy-enabled": false
  },
  "tags": [
    {
      "name": "Tables",
      "description": "Create and manipulate tables inside a base"
    }
  ],
  "components": {
    "securitySchemes": {
      "BaseTokenAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This is the [Base-Token](/reference/authentication)."
      }
    },
    "parameters": {
      "base_uuid": {
        "name": "base_uuid",
        "in": "path",
        "schema": {
          "type": "string",
          "pattern": "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$"
        },
        "required": true,
        "description": "The unique identifier of a base. Sometimes also called dtable_uuid.",
        "example": "5c264e76-0e5a-448a-9f34-580b551364ca"
      }
    },
    "schemas": {
      "row_id": {
        "type": "string",
        "pattern": "^[A-Za-z0-9\\-\\_]{22}$",
        "description": "The id of the row. The id of a row is unique inside a base and is often used to identify one specific row.",
        "example": "Qtf7xPmoRaiFyQPO1aENTj"
      },
      "base": {
        "type": "object",
        "description": "base (database) in SeaTable",
        "properties": {
          "_id": {
            "type": "string",
            "pattern": "^[a-zA-Z0-9]{4}$"
          },
          "name": {
            "type": "string"
          },
          "is_header_locked": {
            "type": "boolean"
          },
          "summary_configs": {
            "type": "object"
          },
          "columns": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "rows": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/row_id"
            }
          },
          "views": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "id_row_map": {
            "type": "object"
          }
        },
        "example": {
          "_id": "IfcB",
          "name": "New table",
          "is_header_locked": false,
          "summary_configs": {},
          "columns": [
            {
              "key": "0000",
              "type": "number",
              "name": "First column",
              "editable": true,
              "width": 200,
              "resizable": true,
              "draggable": true,
              "data": null,
              "permission_type": "",
              "permitted_users": []
            },
            {
              "key": "2w6F",
              "type": "text",
              "name": "second column",
              "editable": true,
              "width": 200,
              "resizable": true,
              "draggable": true,
              "data": null,
              "permission_type": "",
              "permitted_users": []
            },
            {
              "key": "3aAf",
              "type": "date",
              "name": "third column",
              "editable": true,
              "width": 200,
              "resizable": true,
              "draggable": true,
              "data": null,
              "permission_type": "",
              "permitted_users": []
            }
          ],
          "rows": [],
          "views": [
            {
              "_id": "0000",
              "name": "Default View",
              "type": "table",
              "is_locked": false,
              "filter_conjunction": "And",
              "filters": [],
              "sorts": [],
              "groupbys": [],
              "group_rows": [],
              "groups": [],
              "colorbys": {},
              "hidden_columns": [],
              "rows": [],
              "formula_rows": {},
              "link_rows": {},
              "summaries": {},
              "colors": {}
            }
          ],
          "id_row_map": {}
        }
      },
      "table_name": {
        "type": "string",
        "description": "The name of the table to perform the operation on. Alternatively, you can use the `table_id` instead of `table_name`. If using `table_id`, ensure that the key in the request body is replaced accordingly.",
        "example": "Table1"
      },
      "column_name": {
        "type": "string",
        "pattern": "^[^.}{`]*$",
        "description": "The name of the column."
      },
      "anchor_column": {
        "description": "Give the name or the key of a column after you would like to add this new column. If you leave this empty, the new column will be created at the end.",
        "type": "string"
      },
      "text_column": {
        "title": "Text",
        "type": "object",
        "description": "Add a text column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "text"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "long_text_column": {
        "title": "Long text",
        "type": "object",
        "description": "Add a long text column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "long-text"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "number_column": {
        "title": "Number / Currency / Percentage",
        "type": "object",
        "description": "Add a number column and define if the column should contain numbers, currencies or percentage values.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "number"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/number_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "number_column_format": {
        "description": "Specify the number column.",
        "type": "object",
        "properties": {
          "format": {
            "type": "string",
            "enum": [
              "",
              "number",
              "percent",
              "dollar",
              "euro",
              "yuan"
            ],
            "description": "Choose what kind of number this column should contain."
          },
          "decimal": {
            "type": "string",
            "enum": [
              "dot",
              "comma"
            ],
            "description": "Choose how decimals are shown: 1.00 or 1,00\n"
          },
          "thousands": {
            "type": "string",
            "enum": [
              "",
              "no",
              "space",
              "comma"
            ],
            "description": "Choose how bigger numbers are displayed. Eg:\nno: 1000000\ndot: 1.000.000\ncomma: 1,000,000\n"
          }
        }
      },
      "collaborator_column": {
        "title": "Collaborator",
        "type": "object",
        "description": "Add a collaborator column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "collaborator"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "date_column": {
        "title": "Date",
        "type": "object",
        "description": "Add a date column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "date"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/date_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "date_column_format": {
        "description": "Specify the date column.",
        "type": "object",
        "properties": {
          "format": {
            "type": "string",
            "enum": [
              "",
              "YYYY-MM-DD",
              "YYYY-MM-DD HH:mm",
              "M/D/YYYY",
              "M/D/YYYY HH:mm",
              "DD/MM/YYYY",
              "DD/MM/YYYY HH:mm",
              "DD.MM.YYYY",
              "DD.MM.YYYY HH:mm"
            ],
            "description": "Choose how date values are displayed. Eg:\nYYYY-MM-DD: ISO-Format\nM/D/YYYY: US-Format\nDD/MM/YYYY: European-Format\nDD.MM.YYYY: German-Format\nHH:mm: Accurate to minute\n"
          }
        }
      },
      "duration_column": {
        "title": "Duration",
        "type": "object",
        "description": "Add a duration column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "duration"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/duration_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "duration_column_format": {
        "description": "Specify the duration column.",
        "type": "object",
        "properties": {
          "format": {
            "type": "string",
            "enum": [
              "duration"
            ]
          },
          "duration_format": {
            "type": "string",
            "enum": [
              "",
              "h:mm",
              "h:mm:ss"
            ],
            "description": "Choose how to save the duration values. Eg:\nh:mm: hours and minutes (1:23)\nh:mm:ss: hours, minutes and seconds (1:23:24)\n"
          }
        }
      },
      "single_select_column": {
        "title": "Single-select",
        "type": "object",
        "description": "Add a single-select column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "single-select"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/select_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "select_column_format": {
        "description": "Specify the single-select column.",
        "type": "object",
        "properties": {
          "options": {
            "type": "array",
            "items": {
              "type": "object",
              "description": "Define one or many options for this column",
              "properties": {
                "id": {
                  "type": "string",
                  "description": "Select any unique id.",
                  "pattern": "^([A-Za-z0-9]){6}$"
                },
                "name": {
                  "type": "string",
                  "description": "The name of your option."
                },
                "color": {
                  "type": "string",
                  "description": "select your color-code for the background.",
                  "pattern": "^#[A-Fa-f0-9]{6}$",
                  "example": null
                },
                "textColor": {
                  "type": "string",
                  "description": "select your color-code for the text.",
                  "pattern": "^#[A-Fa-f0-9]{6}$",
                  "example": null
                },
                "borderColor": {
                  "type": "string",
                  "description": "select your color-code for the text.",
                  "pattern": "^#[A-Fa-f0-9]{6}$",
                  "example": null
                }
              }
            }
          }
        }
      },
      "multiple_select_column": {
        "title": "Multiple-select",
        "type": "object",
        "description": "Add a multiple-select column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "multiple-select"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/select_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "image_column": {
        "title": "Image",
        "type": "object",
        "description": "Add an image column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "image"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "file_column": {
        "title": "File",
        "type": "object",
        "description": "Add a file column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "file"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "email_column": {
        "title": "Email",
        "type": "object",
        "description": "Add an email column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "email"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "url_column": {
        "title": "Url",
        "type": "object",
        "description": "Add an url column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "url"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "checkbox_column": {
        "title": "Checkbox",
        "type": "object",
        "description": "Add a checkbox column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "checkbox"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "rating_column": {
        "title": "Rating",
        "type": "object",
        "description": "Add a rating column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "rate"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/rating_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type",
          "column_data"
        ]
      },
      "rating_column_format": {
        "description": "Specify the rating column.",
        "type": "object",
        "properties": {
          "rate_max_number": {
            "type": "integer",
            "minimum": 0,
            "maximum": 10,
            "example": 5
          },
          "rate_style_color": {
            "type": "string",
            "pattern": "^#[A-Fa-f0-9]{6}$",
            "example": "#EB00B1"
          },
          "rate_style_type": {
            "type": "string",
            "enum": [
              "dtable-icon-rate",
              "dtable-icon-like",
              "dtable-icon-praise",
              "dtable-icon-flag"
            ],
            "example": "dtable-icon-rate"
          }
        }
      },
      "formula_column": {
        "title": "Formula",
        "type": "object",
        "description": "Add a formula column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "formula"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/formula_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type",
          "column_data"
        ]
      },
      "formula_column_format": {
        "description": "Specify the formula column.",
        "type": "object",
        "properties": {
          "formula": {
            "type": "string",
            "description": "The formula of this column.",
            "example": "dateAdd({Date}, 1, 'year'"
          }
        },
        "required": [
          "formula"
        ]
      },
      "link_column": {
        "title": "Link column",
        "type": "object",
        "description": "Add a link column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "link"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/link_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type",
          "column_data"
        ]
      },
      "link_column_format": {
        "description": "Specify the link column.",
        "type": "object",
        "properties": {
          "table": {
            "type": "string",
            "description": "Name of this table."
          },
          "other_table": {
            "type": "string",
            "description": "Name of the other table."
          }
        },
        "required": [
          "table",
          "other_table"
        ]
      },
      "link_formula_column": {
        "title": "Link-Formula column",
        "type": "object",
        "description": "Add a link-formula column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "link-formula"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "oneOf": [
              {
                "$ref": "#/components/schemas/link_formula_column_countLinks_format"
              },
              {
                "$ref": "#/components/schemas/link_formula_column_lookup_format"
              },
              {
                "$ref": "#/components/schemas/link_formula_column_rollup_format"
              },
              {
                "$ref": "#/components/schemas/link_formula_column_findmax_format"
              },
              {
                "$ref": "#/components/schemas/link_formula_column_findmin_format"
              }
            ]
          }
        },
        "required": [
          "column_name",
          "column_type",
          "column_data"
        ]
      },
      "link_formula_column_countLinks_format": {
        "title": "countlinks",
        "description": "Specify the link-formula column.",
        "type": "object",
        "properties": {
          "formula": {
            "type": "string",
            "description": "The formula of this column.\n",
            "enum": [
              "count_links"
            ],
            "example": "count_links"
          },
          "link_column": {
            "type": "string",
            "description": "Name of the link column."
          }
        },
        "required": [
          "formula",
          "link_column"
        ]
      },
      "link_formula_column_lookup_format": {
        "title": "lookup",
        "description": "Specify the link-formula column.",
        "type": "object",
        "properties": {
          "formula": {
            "type": "string",
            "description": "The formula of this column.\n",
            "enum": [
              "lookup"
            ]
          },
          "link_column": {
            "type": "string",
            "description": "Name of the link column."
          },
          "level1_linked_column": {
            "type": "string",
            "description": "Name of the column in the linked table to look up."
          },
          "level2_linked_column": {
            "type": "string",
            "description": "Name of the column in the linked table linked by level1_linked_column to look up. The type of level1_linked_column should be 'link'."
          }
        },
        "required": [
          "formula",
          "link_column",
          "level1_linked_column"
        ]
      },
      "link_formula_column_rollup_format": {
        "title": "rollup",
        "description": "Specify the link-formula column.",
        "type": "object",
        "properties": {
          "formula": {
            "type": "string",
            "description": "The formula of this column.\n",
            "enum": [
              "rollup"
            ],
            "example": "rollup"
          },
          "link_column": {
            "type": "string",
            "description": "Name of the link column."
          },
          "summary_column": {
            "type": "string",
            "description": "The column in the linked table to be summarized."
          },
          "summary_method": {
            "type": "string",
            "enum": [
              "average",
              "concatenate",
              "max",
              "min",
              "sum"
            ]
          }
        },
        "required": [
          "formula",
          "link_column",
          "summary_column",
          "summary_method"
        ]
      },
      "link_formula_column_findmin_format": {
        "title": "findmin",
        "description": "Specify the link-formula column.",
        "type": "object",
        "properties": {
          "formula": {
            "type": "string",
            "description": "The formula of this column.\n",
            "enum": [
              "findmin"
            ],
            "example": "findmin"
          },
          "link_column": {
            "type": "string",
            "description": "Name of the link column."
          },
          "searched_column": {
            "type": "string",
            "description": "The column in the linked table to look up."
          },
          "comparison_column": {
            "type": "string",
            "description": "The column in the linked table to be evaluated."
          }
        },
        "required": [
          "formula",
          "link_column",
          "searched_column",
          "comparison_column"
        ]
      },
      "link_formula_column_findmax_format": {
        "title": "findmax",
        "description": "Specify the link-formula column.",
        "type": "object",
        "properties": {
          "formula": {
            "type": "string",
            "description": "The formula of this column.\n",
            "enum": [
              "findmax"
            ],
            "example": "findmax"
          },
          "link_column": {
            "type": "string",
            "description": "Name of the link column."
          },
          "searched_column": {
            "type": "string",
            "description": "The column in the linked table to look up."
          },
          "comparison_column": {
            "type": "string",
            "description": "The column in the linked table to be evaluated."
          }
        },
        "required": [
          "formula",
          "link_column",
          "searched_column",
          "comparison_column"
        ]
      },
      "creator_column": {
        "title": "Creator",
        "type": "object",
        "description": "Add a creator column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "creator"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "ctime_column": {
        "title": "Creation time",
        "type": "object",
        "description": "Add a creation time column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "ctime"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "last_modifier_column": {
        "title": "Last Modifier",
        "type": "object",
        "description": "Add a last modifier column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "last-modifier"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "mtime_column": {
        "title": "Last modification time",
        "type": "object",
        "description": "Add a last modification time column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "mtime"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "autonumber_column": {
        "title": "Auto number",
        "type": "object",
        "description": "Add an auto number column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "auto-number"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/autonumber_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type"
        ]
      },
      "autonumber_column_format": {
        "description": "Specify the auto number column. The `format` field defines the number pattern (e.g. \"0000\" for 4 digits). Use `prefix_type` to add a prefix: \"string\" for a custom text prefix, or \"date\" for a date-based prefix.",
        "type": "object",
        "properties": {
          "format": {
            "type": "string",
            "description": "The number format pattern.",
            "example": "0000"
          },
          "digits": {
            "type": "integer",
            "description": "Number of digits (must match the zeros in `format`).",
            "example": 4
          },
          "prefix_type": {
            "type": "string",
            "description": "Type of prefix — \"string\" for a custom prefix, \"date\" for a date-based prefix (YYYYMMDD).",
            "enum": [
              "string",
              "date"
            ],
            "example": "string"
          },
          "prefix": {
            "type": "string",
            "description": "The prefix value (only used when `prefix_type` is \"string\").",
            "example": "ID-"
          }
        },
        "required": [
          "format",
          "digits"
        ]
      },
      "button_column": {
        "title": "Button column",
        "type": "object",
        "description": "Add a button column.",
        "properties": {
          "column_name": {
            "$ref": "#/components/schemas/column_name"
          },
          "column_type": {
            "type": "string",
            "enum": [
              "button"
            ]
          },
          "anchor_column": {
            "$ref": "#/components/schemas/anchor_column"
          },
          "column_data": {
            "$ref": "#/components/schemas/button_column_format"
          }
        },
        "required": [
          "column_name",
          "column_type",
          "column_data"
        ]
      },
      "button_column_format": {
        "description": "Specify the button column.",
        "type": "object",
        "properties": {
          "button_type": {
            "type": "string",
            "enum": [
              "",
              "run_script",
              "send_email",
              "copy_row_to_another_table",
              "modify_row"
            ]
          },
          "button_name": {
            "type": "string"
          },
          "button_color": {
            "type": "string",
            "pattern": "^#[A-Fa-f0-9]{6}$"
          },
          "table_id": {
            "type": "string",
            "description": "id of the target table, if `copy_row_to_another_table` is selected."
          },
          "script_id": {
            "type": "string"
          },
          "selected_columns": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "key": {
                  "type": "string"
                },
                "value": {
                  "type": "string"
                }
              }
            }
          }
        },
        "required": [
          "button_type",
          "button_name",
          "button_color"
        ]
      }
    }
  },
  "paths": {
    "/api-gateway/api/v2/dtables/{base_uuid}/tables/": {
      "post": {
        "tags": [
          "Tables"
        ],
        "summary": "Create Table",
        "operationId": "createTable",
        "description": "Creates a new table in a base. Optionally, you can already add some columns to the base.\n\n> 📘 The first column is special\n>\n> Please be aware, that the first column can only be the column type `text`, `number`, `date`, `single select`, `formula` and `autonumber`.\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "table_name": {
                    "$ref": "#/components/schemas/table_name"
                  },
                  "columns": {
                    "type": "array",
                    "items": {
                      "oneOf": [
                        {
                          "$ref": "#/components/schemas/text_column"
                        },
                        {
                          "$ref": "#/components/schemas/long_text_column"
                        },
                        {
                          "$ref": "#/components/schemas/number_column"
                        },
                        {
                          "$ref": "#/components/schemas/collaborator_column"
                        },
                        {
                          "$ref": "#/components/schemas/date_column"
                        },
                        {
                          "$ref": "#/components/schemas/duration_column"
                        },
                        {
                          "$ref": "#/components/schemas/single_select_column"
                        },
                        {
                          "$ref": "#/components/schemas/multiple_select_column"
                        },
                        {
                          "$ref": "#/components/schemas/image_column"
                        },
                        {
                          "$ref": "#/components/schemas/file_column"
                        },
                        {
                          "$ref": "#/components/schemas/email_column"
                        },
                        {
                          "$ref": "#/components/schemas/url_column"
                        },
                        {
                          "$ref": "#/components/schemas/checkbox_column"
                        },
                        {
                          "$ref": "#/components/schemas/rating_column"
                        },
                        {
                          "$ref": "#/components/schemas/formula_column"
                        },
                        {
                          "$ref": "#/components/schemas/link_column"
                        },
                        {
                          "$ref": "#/components/schemas/link_formula_column"
                        },
                        {
                          "$ref": "#/components/schemas/creator_column"
                        },
                        {
                          "$ref": "#/components/schemas/ctime_column"
                        },
                        {
                          "$ref": "#/components/schemas/last_modifier_column"
                        },
                        {
                          "$ref": "#/components/schemas/mtime_column"
                        },
                        {
                          "$ref": "#/components/schemas/autonumber_column"
                        },
                        {
                          "$ref": "#/components/schemas/button_column"
                        }
                      ]
                    }
                  }
                },
                "required": [
                  "table_name",
                  "columns"
                ]
              }
            }
          }
        },
        "security": [
          {
            "BaseTokenAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/base_uuid"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/base"
                }
              }
            }
          }
        }
      }
    }
  },
  "_id": {
    "buffer": {
      "0": 105,
      "1": 212,
      "2": 220,
      "3": 12,
      "4": 20,
      "5": 34,
      "6": 131,
      "7": 31,
      "8": 141,
      "9": 111,
      "10": 187,
      "11": 150
    }
  }
}
```